Update payment flow
curl --request POST \
--url https://api.tagada.io/api/public/v1/payment-flows/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flowId": "flow_abc123",
"data": {
"strategy": "cascade",
"threeDsEnabled": true,
"fallbackProcessorConfigs": [
{
"processorId": "proc_checkout",
"orderIndex": 0
}
]
}
}
'import requests
url = "https://api.tagada.io/api/public/v1/payment-flows/update"
payload = {
"flowId": "flow_abc123",
"data": {
"strategy": "cascade",
"threeDsEnabled": True,
"fallbackProcessorConfigs": [
{
"processorId": "proc_checkout",
"orderIndex": 0
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flowId: 'flow_abc123',
data: {
strategy: 'cascade',
threeDsEnabled: true,
fallbackProcessorConfigs: [{processorId: 'proc_checkout', orderIndex: 0}]
}
})
};
fetch('https://api.tagada.io/api/public/v1/payment-flows/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}payment-flows
Update payment flow
Update an existing payment flow. All fields in data are optional except fallbackProcessorConfigs. Requires org:admin role.
POST
/
api
/
public
/
v1
/
payment-flows
/
update
Update payment flow
⌘I
